#sw-mega-menu {
    display: none;
}
.sw-menu-trigger {
    display: inline-flex;
    align-items: center;
    gap: 10px;
    padding: 15px 20px;
    height: fit-content;
}
.sw-menu-trigger:before {
    content: url('../images/menu.svg');
}
.sw-menu-trigger.menu-active:before {
    content: url('../images/close.svg');
}
#sw-mega-menu.active {
    display: block;
    height: 100%;
}
#sw-mega-menu {
    position: fixed;
    left: 0;
    width: 100%;
    z-index: 3000;
}
#sw-mega-menu.active {
    width: unset;
}
#sw-mega-menu ul {
    list-style: none;
}
#sw-mega-menu li {
    margin: 0;
}
#sw-mega-menu a {
    display: block;
    width: 100%;
    font-size: 16px;
    line-height: 24px;
    padding-right: 15px;
    box-sizing: border-box;
}
.category-item-wrapper {
    position: relative;
}
.submenu-toggle {
    display: none;
    position: absolute;
    top: 50%;
    right: 0;
    width: 24px;
    height: 24px;
    padding: 0;
    border: 0;
    background: transparent;
    transform: translateY(-50%);
    z-index: 2;
}
.submenu-toggle:before {
    content: "";
    display: block;
    width: 8px;
    height: 14px;
    margin: 0 auto;
    background-size: contain;
    background-repeat: no-repeat;
    background-position: center;
}
.sw-mega-menu-col {
    height: 100%;
    width: 100%;
    position: absolute;
    top: 0;
    overflow: auto;
    padding: 0;
}
.subcategory-column {
    display: none;
}
.subcategory-column.active {
    position: fixed;
}
.subcategory-column:not(.active) {
    display: none !important;
}
.sw-mega-menu-item-img {
    position: fixed;
    height: auto;
    box-sizing: border-box;
    z-index: 1000001!important;
}
#sw-mega-menu .sw-mega-menu-item-img a {
    height: 100%;
    display: flex;
    align-items: center;
    justify-content: center;
}
.sw-mega-menu-item-img a img {
    width: 100%;
    height: 100%;
    object-fit: contain;
    display: block;
}
.sw-mega-menu-item.active {
    transition: 0.5s ease;
}
.sw-mega-menu-overlay.active {
    display: block !important;
    z-index: 2000;
    width: 100%;
    position: absolute;
    height: 100%;
    left: 0;
    top: 0;
}
.fixed-header {
    position: fixed !important;
    top: 0;
    left: 0;
    z-index: 100;
}
.custom-pointer {
    cursor: url(../images/close.svg), auto;
}
@media only screen and (max-width: 1024px) {
    .sw-mega-menu-col {
        transition: 0.5s ease;
    }
}
.active-mob-menu {
    top: 0;
    bottom: 0;
    position: fixed;
    overflow-y: scroll;
    overflow-x: hidden;
    height: 100%;
    width: 100%;
    z-index: 999999;
    background: #E8E4E3;
    padding: 0;
}
.sw-mega-menu-mobile-actions.active {
    display: block !important;
    padding: 30px 30px 0;
}
.active-mob-menu .column-level-1 {
    background: transparent;
    position: relative;
}
.active-mob-menu a {
    color: #000;
}
.active-mob-menu a.has-subcategory {
    padding-right: 32px;
}
.active-mob-menu .sw-mega-menu-item.submenu-open > .category-item-wrapper {
    display: none;
}
.active-mob-menu #sw-mega-menu {
    top: unset !important;
    position: relative;
    /* display: table-row-group; */
}
.active-mob-menu #sw-mega-menu ul {
    padding: 30px;
    width: 100% !important;
}
li.sw-mega-menu-item {
    margin-bottom: 20px !important;
}
.active-mob-menu .sw-mega-menu-additionals.active {
    display: block !important;
    padding: 0 30px 30px;
}
.active-mob-menu .subcategory-column.active {
    z-index: 1;
}
.active-mob-menu .sw-mega-menu .column-level-2,
.active-mob-menu .sw-mega-menu .column-level-3 {
    background: #E8E4E3;
}
.active-mob-menu #sw-mega-menu-img {
    width: 150px;
}
.active-mob-menu #sw-mega-menu-img.remove-logo {
    display: none;
}
.active-mob-menu #sw-mega-menu-img.restore-logo {
    display: block;
}
.active-mob-menu .close-action {
    position: absolute;
    top: 0;
    right: 0;
    background: #000;
    color: #E8E4E3;
    display: flex;
    z-index: 99999;
    width: 30px;
        height: 30px;
        display: flex;
        align-items: center;
        justify-content: center;
}
.active-mob-menu .sw-mega-menu ul li {
    padding: 5px 0;
}
.active-mob-menu .sw-mega-menu ul li:not(:last-child) {
    border-bottom: 1px solid #000;
}
.active-mob-menu .back-action.active {
    display: flex !important;
    position: fixed;
    top: 10px;
    z-index: 9999;
    background: #000;
    width: 100%;
    top: 35px;
    left: 0;
    height: 40px;
    padding: 0 30px;
    line-height: 40px;
    color: #E8E4E3;
    align-items: center;
}
.active-mob-menu .back-action.active:before {
    content: "";
    background: url(../images/mobile-menu.svg);
    width: 8px;
    height: 14px;
    filter: invert(1) brightness(2);
    transform: rotate(180deg);
    margin-right: 10px;
}
.active-mob-menu .subcategory-column.active {
    padding: 80px 30px 30px !important;
}
.active-mob-menu #sw-mega-menu a.has-subcategory:after {
    display: none;
}
.active-mob-menu #sw-mega-menu .submenu-toggle {
    display: block;
}
.active-mob-menu #sw-mega-menu .submenu-toggle:before {
    background-image: url(../images/mobile-menu.svg);
}
.active-mob-menu #sw-mega-menu a.current-category + .submenu-toggle:before,
.active-mob-menu #sw-mega-menu .submenu-toggle:hover:before {
    background-image: url(../images/menu-active.svg);
}
.active-mob-menu .sw-mega-menu-additionals.active #sw-mega-menu-manufacturers a {
    background: #E8E4E3;
    color: #E3273A;
    padding: 20px 40px;
    display: block;
    width: fit-content;
    border-radius: 50px;
    text-transform: uppercase;
    font-family: 'Roboto, Bold';
    margin-bottom: 40px;
}
.active-mob-menu .sw-mega-menu-additionals.active #sw-mega-menu-manufacturers a:after {
    display: none;
}
.active-mob-menu .sw-mega-menu-additionals.active .authorization-link a {
    display: flex;
    align-items: center;
    gap: 30px;
    margin-bottom: 30px;
}
.active-mob-menu .sw-mega-menu-additionals.active .customer-name {
    display: block;
}
.active-mob-menu .sw-mega-menu-additionals.active .customer-name span {
    display: flex;
    align-items: center;
    gap: 30px;
    margin-bottom: 15px;
}
.active-mob-menu .sw-mega-menu-additionals.active .customer-menu ul {
    list-style: none;
    padding-left: 0;
}
.active-mob-menu .sw-mega-menu-additionals.active .customer-menu ul li:before {
    content: url(../images/mobile-menu.svg) !important;
    margin-right: 20px;
}
.active-mob-menu #sw-mega-menu-languages {
    display: flex;
    gap: 10px;
}
.active-mob-menu #sw-mega-menu-languages:before {
    content: url(../images/globe.svg) !important;
    margin-right: 25px;
}
.active-mob-menu #sw-mega-menu-languages strong {
    font-family: 'Roboto, Bold';
}
button#sw-menu-toogle:hover {
    background: none;
    border: 0;
    color: #000;
}

@media screen and (max-width:1280px) {
    .active-mob-menu .close-action {
    background: #000;
    }
    .sw-mega-menu-mobile-actions.active:before {
    content: "";
    width: 100%;
    height: 75px;
    background: #E8E4E3;
    position: absolute;
    left: 0;
    top: 0;
    z-index: 9999;
    }
    .sw-mega-menu-img-container {
    z-index: 10000;
    position: relative;
    }
    .active-mob-menu #sw-mega-menu a.has-subcategory:after {
    background: url(../images/mobile-menu.svg) !important;
    background-repeat: no-repeat !important;
    transform: none;
    width: 8px;
    height: 14px;
    }
    .active-mob-menu .sw-mega-menu ul li {
    padding: 10px 0;
    }
    #sw-mega-menu a.has-subcategory:after {
    top: 6px;
    }
    #sw-mega-menu.active {
    height: auto;
    }
    div#sw-mega-menu-loggin button.action.switch {
    background: transparent !important;
    padding: 0;
    }
    .active-mob-menu #sw-mega-menu a.current-category:after, .active-mob-menu #sw-mega-menu a.has-subcategory:hover:after {
    background: url(../images/mobile-menu.svg) !important;
    }
    .active-mob-menu .sw-mega-menu ul li:not(:last-child) {
    border-bottom: 2px solid #665e55;
    margin: 0 !important;
    }
    .active-mob-menu #sw-mega-menu ul {
    box-sizing: border-box;
    border: none;
    }
    div#sw-mega-menu-loggin {
    position: relative;
    }
    .active-mob-menu {
    background: #E8E4E3;
    }
    /* li.customer-welcome.active ~ ul.header.links {
    position: relative;
    top: unset;
    background: #C4C4C4;
    right: unset;
    padding: 30px;
    width: auto;
    display: table;
    }
    div#sw-mega-menu-loggin ul.header.links {
    list-style: none;
    } */
    .active-mob-menu .sw-mega-menu-additionals.active .authorization-link a {
    margin-bottom: 0;
    }
    .active-mob-menu::-webkit-scrollbar {
    width: 0px !important;
    display: none !important;
    }
    .active-mob-menu {
    scrollbar-width: none;
    }
    .active-mob-menu .customer-welcome .customer-menu {
    display: block;
    }
    .active-mob-menu .customer-welcome .header.links {
    max-width: 100% !important;
    width: 100%;
    position: relative;
    background: transparent;
    padding: 0;
    }
    .active-mob-menu .customer-welcome .header.links li a {
    color: #000;
    }
    .active-mob-menu .sw-mega-menu-additionals.active .customer-menu ul.header.links li:before {
    content: none!important;
    margin-right: 0;
    }
    .active-mob-menu .customer-welcome ul:before {
    content: none;
    }
    .active-mob-menu .customer-welcome:hover svg {
    opacity: 1;
    }
}
@media screen and (max-width:880px) {
    .sw-mega-menu-mobile-actions.active {
    padding: 20px 20px 0;
    }
    .active-mob-menu .sw-mega-menu-additionals.active {
    padding: 0 20px 20px; 
    }
    .active-mob-menu #sw-mega-menu ul {
    padding: 20px;
    }
    .active-mob-menu .subcategory-column.active {
    padding: 80px 20px 20px !important;
    }
    .active-mob-menu .back-action.active {
    padding: 0 20px;
    }
}
